#ifndef _INVALID_ID_EXCEPTION_H_
#define _INVALID_ID_EXCEPTION_H_

#include "Exception.h"
#include "Ath98String.h"

/**
  Fehlerklasse ungueltige Id. Wird von Routinen erzeugt, die eine Id erwarten 
  und einen int mit unpassenden Wert erhalten.

  {\small {\bf Quelltext}

  [\URL[Header]{src/InvalidIdException.h} | [\URL[Implementierung]{src/InvalidIdException.cc}]

  {\bf CVS Informationen zum Interface}
  \begin{verbatim}
  **************************************************
  *
  * Aktueller Stand
  *
  *   $RCSfile: InvalidIdException.h,v $
  *   $Revision: 1.1.1.1 $
  *   $Date: 2001/07/31 22:23:08 $
  *   $Author: rami $ 
  *
  **************************************************
  \end{verbatim} }*/
class InvalidIdException: public Exception 
{
public:
  InvalidIdException(const Ath98String& aDescription )
    : Exception( aDescription ) {}
};

#endif
