#include "SayIntention.h"

#include "../../basic/Say.h"
#include "../../worldmodel/WorldModelInterface.h"


SayIntention::SayIntention(): BasicIntention( theId )
{
   addPreCondition( new TrueCondition() );
   addPostCondition( new FalseCondition() );
}

Action SayIntention::execute(){
    generateSayAction();
    return Action( EMPTY_ACTION, globalWorldModel->simStep() );
}


void SayIntention::generateSayAction(){
  INFO( Log::INTENTIONS, 6, idString(), globalLog->infoStream
    << "ENTER " << idString() << "::generateSayAction\n");

  globalSay->setSayAction( Say::WORLD_MODEL );
}
