#include "AttackConditions.h"

#include "../../analyzer/Analyzer.h"
#include "../../worldmodel/WorldModelInterface.h"

GoalReachableCondition::GoalReachableCondition() :
  Condition() {}

bool GoalReachableCondition::check() const{
  //muessen wir wohl noch verfeinern
  if( globalWorldModel->player().distTo( globalWorldModel->field().enemyGoal() ) <
       globalConf->maxGoalKickDist ){
    return true;
  }
  return false;
}

ScoreGoalPossibleCondition::ScoreGoalPossibleCondition() :
  Condition() {}

bool ScoreGoalPossibleCondition::check() const{
  //cout << "Attack:ScoreGoalPossibleCondition : " << globalAnalyzer->isScoreGoalPossible() << endl;  
  return globalAnalyzer->isScoreGoalPossible();  
}

RiskScoreGoalPossibleCondition::RiskScoreGoalPossibleCondition() :
  Condition() {}

bool RiskScoreGoalPossibleCondition::check() const{
  //cout << "Attack:ScoreGoalPossibleCondition : " << globalAnalyzer->isScoreGoalPossible() << endl;  
  return globalAnalyzer->isRiskScoreGoalPossible();  
}

AttackGoalCondition::AttackGoalCondition() : Condition() {}

bool AttackGoalCondition::check() const{
  if( globalWorldModel->ball().pos().x() > 32 ) return true;
  return false;
}
