#ifndef _KICK_INTENTION_H_
#define _KICK_INTENTION_H_

#include "BasicIntention.h"

class KickIntention : public BasicIntention{
 public:
  static const IntentionId theId = 5;
  KickIntention( const Target& aTarget, double aDesiredSpeed = globalConf->ballSpeedMax, int aMaxSteps = 1 );

  Action execute();

 private:
  int theTargetId;
  Vector theFirstTarget;
  double theDesiredSpeed;
  int theMaxSteps;
  
};

#endif
