#include "EmergencyIntention.h"

#include "../../basic/Timer.h"

EmergencyIntention* globalEmergencyIntention;

EmergencyIntention::EmergencyIntention() :
  Intention( theId ){

  addPreCondition( new TrueCondition );
  addPostCondition( new FalseCondition );  
}

Action EmergencyIntention::execute() {
//cerr << "EMERGENCY\n";
  return Action( EMPTY_ACTION, globalWorldModel->simStep() );
}

void EmergencyIntention::initialize() {
}

void EmergencyIntention::calculateIntentionOrder(){
}
