#include "KickConditions.h"

#include "../../worldmodel/WorldModelInterface.h"

KickPossibleCondition::KickPossibleCondition() :
  Condition() {}

bool KickPossibleCondition::check() const{
  INFO( Log::CONDITIONS, 6, "" , globalLog->infoStream <<
	"KickPossibleCondition::check\n" );
  if( globalWorldModel->player().
      distTo( globalWorldModel->situation().ball().pos() ) <
      globalWorldModel->player().kickRange() ){
    return true;
  }
  return false;
}

KickImpossibleCondition::KickImpossibleCondition() :
  KickPossibleCondition() {}
