#ifndef _PASS_CONDITIONS_H_
#define _PASS_CONDITIONS_H_

#include "Condition.h"

class PassPossibleCondition : public Condition{
 public:
  PassPossibleCondition();
  bool check() const;
};

class RiskPassPossibleCondition : public Condition{
 public:
  RiskPassPossibleCondition();
  bool check() const;
};

class PassImpossibleCondition : public PassPossibleCondition{
 public:
  PassImpossibleCondition();
  bool check() const;
};

inline bool PassImpossibleCondition::check() const{
    return !PassPossibleCondition::check();
}

#endif
