#include "WorldModelStatesConditions.h"

InitiativeCondition::InitiativeCondition( int aTeam ) :
  Condition(), theTeam( aTeam ) {}

GameStateCondition::GameStateCondition() :
  Condition(), theGameStates( GameStateCondition::anyGameState ) {}

GameStateCondition::GameStateCondition( long someGameStates ) :
  Condition(), theGameStates( someGameStates ) {}


// return YES, falls gs in theGameStates () enthalten ist
// return YES, falls gs in theGameStates ~() nicht enthalten ist
bool GameStateCondition::check() const {
INFO( Log::CONDITIONS  ,  6  ,  "GameStateCondition" , globalLog->infoStream <<
	"GameStateCondition::check\n" );
//cerr << " gameStateCondition::check() " << gameStates() << " ? " << globalWorldModel->gameState() << endl; 
  return ( ( theGameStates & globalWorldModel->gameState() ) != NO );
}
