#ifndef _STANDARDGOALIEROLE_H_
#define _STANDARDGOALIEROLE_H_

#include "Role.h"
#include "../../analyzer/Analyzer.h"

typedef short int  GoalieInterceptBehaviour;

class StandardGoalieRole : public Role {

public:

  typedef short int  GoalieInterceptBehaviour;

  static const GoalieInterceptBehaviour NORMAL    = 1;
  static const GoalieInterceptBehaviour OFFENSIVE = 2;
  static const GoalieInterceptBehaviour DEFENSIVE = 3;

  /** Konstruktor. */
  StandardGoalieRole();

  /** Destruktor. */
  ~StandardGoalieRole();

// protected:
  /** Der Deliberator -- bestimmt die Intentions */
  void deliberate();


protected:
  bool sitClassChange;

};

// Ende der Klassendefinition


#endif
